<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class Medals extends Model
{
    private $_price = 100;

	public static function single($className = __CLASS__)
	{
		return parent::single($className);
	}

	public static function table()
	{
		return 'ig_medals';
	}

    public function getOne($id)
    {
        return $this->Db()->select()->from(self::table())->where(array('medalid'=>$id))->find(true);
    }

    public function getPrice()
    {
        return $this->_price;
    }
}